package com.zehong.controller;

import com.zehong.entity.AjaxResult;
import com.zehong.service.ScanCodeResultService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

/**
 * 扫码结果
 * @author geng
 * @since 2025-05-27
 */
@RestController
@RequestMapping("/scan")
public class ScanCodeResultController extends BaseController{

    @Autowired
    private ScanCodeResultService scanCodeResultService;

    @PostMapping("/scanCode")
    public AjaxResult scanCode(@RequestBody String message) {
        return toAjax(scanCodeResultService.scanCodeResult(message));
    }
}
